               Anvide Lock Folder  history

---------------------------------
Условные обозначения:
 + добавление новых возможностей
 - удаление ненужного
 * изменения, устранение ошибок
---------------------------------



13.11.2013  v2.40

 * Исправление ошибок.
 * Обновлён SkinsPack.


03.06.2013  v2.35

 * Множество дополнений и исправлений.


14.10.2012  v2.30

 + Теперь настройки хранятся не в реестре, а в файле "ALF.ini".
   Это сделано для лучшей переносимости на флешках.
 + Добавлена возможность принудительного закрытия папок.
   Папка заблокируется даже если будет занята другим процессом
   (используется функционал программы Unlocker).
 + При подключении флешки, все защищённые на ней папки добавятся
   в список программы (теперь не нужно перезапускать ALF).
 + Переносной скин. При использовании программы с флешки, файл
   скина хранится на ней (файл alf.asz).
 + Добавлена возможность перевода на другой язык.
   Нужно запустить программу с параметром "translate".
 + Добавлена поддержка диска B.
 + В настройках внешнего вида добавлена опция "контраст".
 + В настройках внешнего вида добавлена опция "эффект aero".
 + В настройках внешнего вида добавлена опция "анимация окон".
 + Несколько незначительных доработок и изменений.
 * Немного изменён интерфейс главного окна программы.
 * Полностью переработан интерфейс настроек внешнего вида.
 - Убраны опции "менять скин при каждом запуске" и 
   "менять цвет при каждом запуске".


13.08.2012  v2.25

 * Исправление ошибок.
 * Улучшена утилита восстановления папок.
 * Небольшие изменения в интерфейсе.


14.07.2012  v2.24

 * Улучшена функция восстановления имён папок.
 * Незначительные доработки в системе защиты.
 * Исправление ошибок.


26.06.2012  v2.23

 * Обновлён графический движок интерфейса программы.
 * Обновлён SkinPack. Добавлены новые скины.
 * Незначительные доработки.


18.06.2012  v2.22

 + Теперь можно получать новости от автора программы.
 * Немного изменён интерфейс окна "Помощь".
 * Небольшие исправления в движке защиты.


07.06.2012  v2.21

 + Если файл программы заражён вирусом, то пользователь будет об этом информирован.
   (детектор инфицирования).
 * Небольшие изменения в интерфейсе окна "Помощь".
 * Исправлено несколько небольших ошибок.
 - Убрана кнопка "посетить сайт" с главного окна программы.


15.05.2012  v2.20

 + В настройках можно изменять контекстное меню программы.
 * Небольшие доработки в движке защиты.


27.04.2012  v2.19

 + При восстановлении программы из трея, запрашивается пароль.
 * Исправлено несколько небольших ошибок.


20.04.2012  v2.18

 * Улучшена работа утилиты "восстановление папок после переустановки системы".
 * Небольшие доработки в движке защиты папок.
 * Исправлено несколько небольших ошибок.


19.04.2012  v2.17

 + Новая опция "Проверять наличие новой версии".
 + Новая опция "Сворачивать программу в трей".
 * Исправлено несколько небольших ошибок.


12.04.2012  v2.16

 * Исправлено несколько серьёзных ошибок.
 * Немного изменён интерфейс программы.


28.03.2012  v2.15

 + Переработан алгоритм защиты.
 + В настройках появился новый пункт, который позволяет скрыть главные кнопки программы.
 + В контекстное меню добавлен пункт "Настроки".
 + Новая опция "Отображать группы в списке папок".
 + Новая опция "Отображать строку состояния".
 + Новая опция "Менять скин при каждом запуске".
 + Новая опция "Менять цвет при каждом запуске".
 + Новая опция "Обычный интерфейс".
 + Новая опция "Упрощённый интерфейс".
 + Новая опция "Показывать пароль".
 + Новая опция "Предупреждать, если нет подсказки к паролю".
 + В стандартной поставке программы теперь два стиля.
 + Предупреждение при запуске программы пользователем с граниченными правами.
 - Удалён режим "Мини".
 * Исправлена ошибка. После выхода из программы не блокировались папки.
 * Исправлена ошибка. Если был подключён 3G-модем, то после запуска программы появлялось 
   сообщение с ошибкой о неготовности диска для записи.
 * Исправление ошибки при добавлении и удалении папок в списке программы.
 * Доступна работа из командной строки. Раньше была временно отключена.
 * Изменён логотип программы.
 * Исправлено много незначительных ошибок.


17.02.2012  v1.65

 - Убрана активация программы через интернет. Многие антивирусы ошибочно определяли модуль
   активации как вирус.
 * Исправлено несколько незначительных ошибок.


29.01.2012  v1.64

 + Появилось дополнительное поле ввода для подтверждения пароля на папку.
   Это позволит избежать ошибок при вводе пароля.
 * Небольшие изменения в режиме "Мини".


12.01.2012  v1.63

 + Добавлен режим "Mini". Включается он через контекстное меню для каждой папки
   (нажатием правой кнопки мыши по списку папок).
 + Активация программы через интернет.


04.12.2011  v1.62

 * Исправлен конфликт с программами для чистки реестра. Они стирали список папок ALF.
 * Не отображалась группа "недоступные папки".
 * Исправлено несколько небольших ошибок.


19.11.2011  v1.61

 + Добавлена возможность сворачивать программу в трей.
 + Если не удалось заблокировать папку, то появляется соответствующее сообщение.
 + Уведомление об ошибке блокировки папок при выходе из программы.
 + При запуске показываюся высказывания, цитаты и афоризмы знаменитых людей.
 * Переработаны диалоги установки пароля и открытия доступа к папке.
 * Исправлена небольшая проблема. Папке ставился атрибут "скрытый" даже тогда, когда программа не смогла
   поставить на неё защиту. Т.е. в программе эта папка оставалась в списке открытых, а в Проводнике её не
   было видно (если в настройках системы бало отключено отображение скрытых папок и файлов).


11.11.2011  v1.60

 + Новые пункты в контекстном меню: "закрыть все папки", "открыть все папки", "открыть папку в Проводнике",
   "открыть папку в Total Commander".
 + Добавлены новые опции: "открыть папку в Проводнике после снятия защиты", "открыть папку в
   Total Commander после снятия защиты", "свернуть программу после снятия защиты с папки".
 + При поиске защищённых папок на дисках отображается имя папки, в которой идёт поиск.
 + При попытке удалить из списка защищённую папку, пользователь информируется о том, что её нельзя удалить.
 + Предупреждение при попытке запустить вторую копию программы.
 + В программу добавлены скрытая возможность (пасхальное яйцо).
 * Оставлен один стандартный скин. Это сделано с целью уменьшить размер исполняемого файла.
   Пак со скинами можно скачать со страницы программы (anvidelabs.dm0.ru/anvidelockfolder.html).
 * Справочная система теперь не входит в состав самой программы. Она перенесена на сайт программы.
 * Исправлена ошибка, которая появлялась при поиске защищённых папок.
 * Исправлено несколько незначительных ошибок.


19.10.2011  v1.56

 * Исправлена ошибка при открытии папок, которые были запаролены предыдущей версией программы.
 * При удалении папки из списка, она опять появлялась.


18.10.2011  v1.55

 + Список файлов теперь хранится и в резервном файле на жёстком диске. Это предотвратит
   исчезание списка папок после переустановки Windows. Список зашифрован.
 + Добавлена возможность вводить подсказки к паролям.
 + Добавлен новый скин "Ubuntu".
 + Новая опция в окне настроек - "цвет". Теперь пользователь сможет менять цвет интерфейса.


21.09.2011  v1.54

 * Исправлена критическая ошибка. Очень редко, но такое бывало, при снятии
   защиты с папки, она оказывалась пустой. В таких случаях скрытые файлы не удаляются,
   а просто продолжают быть невидимыми.


05.09.2011  v1.53

 * Устранены небольшие проблемы в работе программы в Windows 7.
 + Добавлен скин "Cold".
 + Добавлен скин "Garnet".


26.08.2011  v1.52

 + Возможность блокировать и разблокировать сразу все папки.
 + Появилась защита программы поролем.
 Примечание: все нововведения этой версии уже внедрялись в старых версиях программы,
 но были временно отключены из-за тестирования.


27.07.2011  v1.51 beta

 + Проверка на наличие новой версии.
 + Подключена опция "закрывать все папки после закрытия программы".
 + Немного изменён интерфейс всплывающей подсказки, при запуске программы с флешки.
 + Немного изменён вид окна "о программе".
 * Устранена ошибка с зависанием программы, при добавлении новой папки.


07.07.2011  v1.50 beta

 + Добавлена возможность ставить пароль для каждой папки.
 + Теперь можно удалять из списка недоступные папки.
 + Нажатием клавиши "Enter" можно менять статус выделеной папки.
 - Временно убрана возможность блокировки и разблокировки сразу всех папок.
 - Временно отключена возможность работы из командной строки.
 - Отключена опция "защита программы паролем".
 * Исправлено нескольмо мелких ошибок.


22.06.2011  v1.42

 + Теперь можно добавлять папки обычным перетаскиванием мыши.
 * Переделана справочная система.
 - Удалён скин "LongHorn"


13.06.2011  v1.41

 + Появилась возможность менять размер главных кнопок программы. Это делается в настройках.
 * Исправлена ошибка с запуском программы на Windows 7х64.


06.06.2011  v1.40

 + Добавлен режим "запуск со съёмных носителей". При запуске с флешки, программа
   просканирует её на наличие защищённых папок.
 + Добавлено окно с настройками.
 + Теперь можно менять размеры главного окна, т.ж. запоминается его позиция.
 + Появилась защита программы поролем.
 + Теперь можно менять внешний вид. Доступно 10 скинов.
 + Меняется уровень детализации отрисовки скина. Теперь на медленных компьютерах можно
   установить минимальную детализацию или вообще отключить скин.
 * Исправлена ошибка при добавлении двух одинаковых папок.
 * Немного изменён интерфейс программы.


24.05.2011  v1.31

 * Устранение неприятностей с выпаданием из списка имён папок.
 

05.04.2011  v1.30

 + Добавлена утилита - "восстановление имён защищённых папок".
 * Исправлено несколько незначительных ошибок.


08.03.2011  v1.02

 + Из программы можно выйти нажатием клавиши "Escape".
 + Теперь можно заблокировать или разблокировать сразу
   все папки. Появились соответствующие пункты меню.
 + Добавлены горячие клавиши для блокировки/разблокировки папок.


22.02.2011  v1.01 beta

 * Исправлена ошибка при удалении папки из списка охраняемых.
   Раньше удалённая папка появлялась в списке вновь. Это происходило
   после перезапуска программы.
 * Испралена неприятная вещь, которую делала программа. Если на папке
   стояла иконка установленная пользователем, то после разблокировки
   папки эта иконка пропадала (становилась стандартной).


22.02.2011  v1.00 beta

 * Исправлена ошибка при добавлении папки в список охраняемых.
 * Небольшие изменение системы блокировки.
 * Изменён диалог выбора папки.
 + Добавлено главное меню программы.
 + Добавлены горячие клавиши.
 + Реализована работа в командной строке.
   Узнать команды можно в окне "информация о программе".
 + Добавлено контекстное меню для списка папок.
  


20.02.2011  v0.10 alpha

 * Исправлена мелкая ошибка в окне лицензионного соглашения.
 + Появилась опция, позволяющая автоматически блокировать все папки
   при выходе из программы.


16.02.2011  v0.01 alpha

 Первая версия программы.
